Announcement

Collapse
No announcement yet.

Forum v4.2.4 not working (PHP 7.1.33 and MySQL 5.6)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Forum v4.2.4 not working (PHP 7.1.33 and MySQL 5.6)

    Hi, my forum has stopped working with the following error:

    Function name must be a string on line 1587 in /home4/u2gt/public_html/forum/includes/class_bbcode.php
    #0 /home4/u2gt/public_html/forum/includes/class_bbcode.php(1042): vB_BbCodeParser->parse_array(Array, true, true, 1)

    It looked like my hosting company had upgraded to PHP 7.4, so I have now got them to downgrade back to 7.1.33 but the error still happens.

    Do I need to upgrade to v4.2.5 of vBulletin and if so, can I still do it the usual way even though the forum is in an error state like this? Any help or other advice much appreciated.

  • #2
    PHP 7.1 is only supported with vBulletin 4.2.5. You will need to upgrade. The upgrader will work with 7.1.33.

    If you want to use any version of PHP over 7.1, you will need to upgrade to vBulletin 5.6+
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API

    Comment


    • #3
      Thanks Wayne, I've upgraded to 4.2.5 and my site is working again! I notice I now have both config.php (dated 2017) and config.php.new (dated today) in the /includes/ folder. I need to make some changes to the config file but unsure now I've seen these two. Any idea what I need to do. Thanks for your help.

      Comment


      • #4
        Generally you can ignore the .new file. vBulletin does. They should be the same. vBulletin 4.X hasn't been updated since 2017. You can look at them in a file compare utility if you're really curious.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud demonstration site.
        vBulletin 5 API

        Comment


        • #5
          Thanks Wayne. The new file had some new sections (mostly comments and empty/ready-to-use lines) but as I am not using them, I'll stick with the original. Really appreciate your help in getting me back online.

          Comment

          Related Topics

          Collapse

          Working...
          X